Subject: Re: Compilation from within emacs becomes slower and slower until Emacs is restarted

From: Lars Hamren <[email-masked]>
Date: Wed, 20 Apr 2011 12:04:41 +0200

Hi,

I have found the cause of this problem.

It goes away if I remove this code from my .emacs:

	(add-hook 'compilation-mode-hook
	  (lambda () (setq compilation-error-regexp-alist
	      (cons
	       ;; Quartus II error messages
	       '(".*Verilog .* at \\(.+\\)(\\([0-9]+\\)): .*" 1 2)
	      compilation-error-regexp-alist))))

I haven't looked further into why this should be a problem. The regexp
is quite simple, and doesn't match when compiling with g++.

Kind regards
/Lars
-------------------------------------------------------------------
Lars Hamrén              WWW...: www.sdu.se
Svensk Datorutveckling   Email.: [email-masked]
Vadmöllan 211            Tel...: +46( 46)189090
S-225 94 Lund            Mobile: +46(705)189090
Sweden